package Tests::port;

use Tests::Base;
@ISA = qw( Tests::Base );

use IO::Socket::INET;

sub execute
{
	my $self = shift;
	$port = $self -> opt( 'port' ) || 'echo';

	my $s;
	eval{
		local $SIG{ __DIE__ } = sub { 0 };
		$s = IO::Socket::INET -> new(
			PeerAddr => $self -> host_addr(),
			PeerPort => $port;
			Proto => 'tcp' );
	};
	
	if( $s )
	{
		return( 0 );
	}else
	{
		$self -> message( "Error connecting to port '$port': $!" );
		return( 1 );
	}
}

1;

__END__

=head1 NAME

Tests::port - connects to a port to test if the port is open

=head1 SYNOPSIS

	<port port="port"/>

=head1 DESCRIPTION

Test if the port "port" is open on the remote host.  Fails if the connect fails.  Can
be used as a place holder for other tests of network services until a more robust test
is created, since it doesn't validate that the service works, just that the port is open.

=head2 port

The port to connect to.

=head1 SEE ALSO

sentinel, probe, librarian, sentinel.conf

=head1 AUTHOR

Steve Slaven - http://hoopajoo.net
